Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j
Class MimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.james.mime4j.MimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MaxHeaderLimitException, MaxLineLimitException, MimeParseEventException, ParseException, ParseException, ParseException, ParseException, ParseException, ParseException

    public class MimeException

extends java.io.IOException

MIME processing exception.

See Also:
  Serialized Form

Constructor Summary
`MimeException(java.lang.String message)` Constructs a new MIME exception with the specified detail message.
`MimeException(java.lang.String message, java.lang.Throwable cause)` Constructs a MIME exception with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MimeException

    public MimeException(java.lang.String message)

  Constructs a new MIME exception with the specified detail message.

  Parameters:
    `message` - detail message

### MimeException

    public MimeException(java.lang.String message,
                         java.lang.Throwable cause)

  Constructs a MIME exception with the specified detail message and cause.

  Parameters:
    `message` - detail message
    `cause` - cause of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.